<?php
/**
 * User Mail Only Register
 * 
 * @package    UserMailOnlyRegister
 * @subpackage UserMailOnlyRegisterRegist registered in the database
/*  Copyright (c) 2019- Katsushi Kawamori (email : dodesyoswift312@gmail.com)
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; version 2 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

$usermailonlyregisterregist = new UserMailOnlyRegisterRegist();

class UserMailOnlyRegisterRegist {

	/* ==================================================
	 * Construct
	 * @since	1.00
	 */
	public function __construct() {

		add_action( 'init', array($this, 'register_settings') );

	}

	/* ==================================================
	 * Settings register
	 * @since	1.00
	 */
	public function register_settings(){

		if ( get_option('usermailonlyregister') ) {
			$umor_settings = get_option('usermailonlyregister');
			// ver 1.01 later
			if ( !array_key_exists( "before", $umor_settings ) ) {
				$umor_settings['before'] = NULL;
				update_option( 'usermailonlyregister', $umor_settings );
			}
			if ( !array_key_exists( "after", $umor_settings ) ) {
				$umor_settings['after'] = NULL;
				update_option( 'usermailonlyregister', $umor_settings );
			}
			if ( !array_key_exists( "notify_mail_use", $umor_settings ) ) {
				$umor_settings['notify_mail_use'] = 1;
				update_option( 'usermailonlyregister', $umor_settings );
			}
		} else {
			$umor_tbl = array(
				'login_message' => get_option('blogname'),
				'login_logo_url' => NULL,
				'login_logo_link_url' => esc_url(home_url()),
				'termofuse' => esc_url(get_permalink(get_option('wp_page_for_privacy_policy'))),
				'before' => NULL,
				'after' => NULL,
				'notify_mail_use' => 1
				);
			update_option('usermailonlyregister', $umor_tbl);
		}

	}

}

?>