<?php
/**
 * User Mail Only Register
 * 
 * @package    UserMailOnlyRegister
 * @subpackage UserMailOnlyRegister Widget
    Copyright (c) 2019- Katsushi Kawamori (email : dodesyoswift312@gmail.com)
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; version 2 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

add_action('widgets_init', function(){register_widget('UserMailOnlyRegisterWidgetItem' );});

/* ==================================================
 * Widget
 * @since	1.00
 */
class UserMailOnlyRegisterWidgetItem extends WP_Widget {

	public function __construct() {
		parent::__construct(
			'UserMailOnlyRegisterWidgetItem', // Base ID
			__( 'Link to Register form', 'user-mail-only-register' ), // Name
			array( 'description' => __( 'Link to Register form or Management Screen from User Mail Only Register.', 'user-mail-only-register'), ) // Args
		);
	}

	public function widget($args, $instance) {

		extract($args);
		$title = apply_filters('widget_title', $instance['title']);

		echo $before_widget;
		echo $before_title . $title . $after_title;
		$content = wp_register('', '');
		echo $content;
		echo $after_widget;

	}

	public function update($new_instance, $old_instance) {
		$instance = $old_instance;
		$instance['title'] = strip_tags($new_instance['title']);
		return $instance;
	}

	public function form($instance) {

		if (isset($instance['title'])) {
			$title = esc_attr($instance['title']);
		} else {
			$title = NULL;
		}

		?>
		<p>
			<label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title'); ?>:</label>
			<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" />
		</p>
		<?php
	}

}

?>